<mat-form-field style="width: 500px">
  <mat-label><span jhiTranslate="realTimeBeveragesApp.orderForm.categoryFilter">Hier können Sie nach Kategorien filtern</span> </mat-label>
  <mat-select [formControl]="categoryControl">
    <mat-option></mat-option>
    @for (category of categories$ | async; track $index) {
      <mat-option [value]="category">{{ category }}</mat-option>
    }
  </mat-select>
</mat-form-field>

<div class="d-flex justify-content-center">
  <div class="col-8">
    <div class="contents">
      @if (selectedEntity$ | async; as selectedItem) {
        <div class="selectedEntity">
          <span jhiTranslate="realTimeBeveragesApp.orderForm.selectedArticle">Ausgewählter Artikel:</span>
          <mat-card [ngClass]="{ 'card-selected mat-elevation-z4': true }">
            <mat-card-header>
              <mat-card-title>{{ selectedItem.name }}</mat-card-title>
              <mat-card-subtitle>Preis: {{ selectedItem.price | currency: 'EUR' }}</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
              @if (selectedItem.image && selectedItem.imageContentType) {
                <img
                  [src]="'data:' + selectedItem.imageContentType + ';base64,' + selectedItem.image"
                  style="max-width: 100px"
                  alt="offeredItem"
                />
              } @else {
                Kein Bild verfügbar
              }
            </mat-card-content>
          </mat-card>
        </div>
        <form name="editForm">
          <div>
            <div class="mb-3">
              <label class="form-label" for="field_stock" jhiTranslate="realTimeBeveragesApp.orderForm.amount"
                >Wie viele Artikel benötigen Sie?</label
              >
              <input
                [formControl]="controls.amount"
                class="form-control"
                data-cy="stock"
                id="field_stock"
                name="stock"
                [min]="0"
                type="number"
              />
              @if (controls.amount.invalid) {
                <div>
                  <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
                  <small [translateValues]="{ min: '0' }" class="form-text text-danger" jhiTranslate="entity.validation.min"
                    >Dieses Feld muss mind. 0 sein.</small
                  >
                  <small class="form-text text-danger" jhiTranslate="entity.validation.number">Dieses Feld muss eine Zahl sein.</small>
                </div>
              }
            </div>
          </div>

          <div>
            <button (click)="abortOrder.emit()" class="btn btn-secondary" data-cy="entityCreateCancelButton" id="cancel-save" type="button">
              <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
            </button>
            <button
              (click)="addOrPatchOrder.emit(formGroup.value)"
              [disabled]="(formGroup.statusChanges | async) !== 'VALID'"
              class="btn btn-primary"
              type="button"
            >
              &nbsp;<span jhiTranslate="entity.action.save">
                @if (isEditing()) {
                  Änderungen speichern
                } @else {
                  Artikel hinzufügen
                }
              </span>
            </button>
          </div>
        </form>
      }
      <div class="content">
        @if (offeredItems$ | async; as offeredItems) {
          @if (displayItems$ | async; as displayItems) {
            @for (displayItem of displayItems; track $index) {
              <mat-card class="selectable" [ngClass]="{ 'card-selected mat-elevation-z4': true }" (click)="selectEntity(displayItem)">
                <mat-card-header>
                  <mat-card-title>{{ displayItem.name }}</mat-card-title>
                  <mat-card-subtitle
                    ><span jhiTranslate="realTimeBeveragesApp.order.unitPrice">Stückpreis</span>: {{ displayItem.price | currency: 'EUR' }}
                  </mat-card-subtitle>
                </mat-card-header>
                <mat-card-content class="selectable-content">
                  @if (displayItem.image && displayItem.imageContentType) {
                    <img
                      [src]="'data:' + displayItem.imageContentType + ';base64,' + displayItem.image"
                      style="max-width: 100%"
                      alt="offeredItem"
                    />
                  } @else {
                    Kein Bild verfügbar
                  }
                </mat-card-content>
              </mat-card>
            }
            <mat-paginator
              (page)="handlePageEvent($event)"
              [length]="offeredItems.length"
              [pageIndex]="pageIndex"
              [pageSize]="9"
              [showFirstLastButtons]="true"
            />
          }
        }
      </div>
    </div>
  </div>
</div>
